#include <bits/stdc++.h>
using namespace std;
int main() 
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n,m;
cin>>n>>m;
int niz[100000],a,b;
long long rez=0;
for(int i=1;i<=n;i++)
{
cin>>niz[i];
}
for(int i=0;i<m;i++)
{
cin>>a>>b;
if(niz[a]>=0&&niz[b]>=0)
rez+=(niz[a]+niz[b]);

else if(niz[a]<=0&&niz[b]<=0)
rez-=(niz[a]+niz[b]);

else if(niz[a]>=0&&niz[b]<=0)
{
if(abs(niz[a])>=abs(niz[b]))
rez+=(niz[a]+niz[b]);

else
rez-=(niz[a]+niz[b]);
}

else if(niz[a]<=0&&niz[b]>=0)
{
if(abs(niz[a])>=abs(niz[b]))
rez-=(niz[a]+niz[b]);

else
rez+=(niz[a]+niz[b]);
}
}

cout<<rez<<endl;
return 0;
}